# Get current organization Retrieve the currently authenticated organization. A convenient alias of the [Get organization](get-organization) endpoint. For a complete reference of the organization object, refer to the [Get organization](get-organization) endpoint documentation. > 🔑 Access with > > [Organization access token with **organizations.read**](/reference/authentication) > > [OAuth access with **organizations.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Mollie Connect", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/v2/organizations/me": { "get": { "summary": "Get current organization", "x-speakeasy-name-override": "get-current", "tags": [ "Organizations API" ], "operationId": "get-current-organization", "security": [ { "organizationAccessToken": [ "organizations.read" ] }, { "oAuth": [ "organizations.read" ] } ], "description": "Retrieve the currently authenticated organization. A convenient alias of the [Get organization](get-organization) endpoint.\n\nFor a complete reference of the organization object, refer to the [Get organization](get-organization) endpoint documentation.\n\n> 🔑 Access with\n>\n> [Organization access token with **organizations.read**](/reference/authentication)\n>\n> [OAuth access with **organizations.read**](/reference/authentication)", "responses": { "200": { "description": "The current organization object.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "resource", "id", "name", "email", "locale", "address", "registrationNumber", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains an organization object. Will always contain the string `organization` for this resource type.", "readOnly": true, "default": "organization" }, "id": { "allOf": [ { "type": "string", "pattern": "^org_.+$", "example": "org_1234567" } ], "readOnly": true }, "name": { "type": "string", "description": "The name of the organization.", "example": "My Online Store", "readOnly": true }, "email": { "type": "string", "description": "The email address associated with the organization.", "example": "example@mail.com", "readOnly": true }, "locale": { "type": "string", "allOf": [ { "type": [ "string", "null" ], "description": "Allows you to preset the language to be used.\n\nPossible values: `en_US` `en_GB` `nl_NL` `nl_BE` `de_DE` `de_AT` `de_CH` `fr_FR` `fr_BE` `es_ES` `ca_ES` `pt_PT` `it_IT` `nb_NO` `sv_SE` `fi_FI` `da_DK` `is_IS` `hu_HU` `pl_PL` `lv_LV` `lt_LT` `null`", "example": "en_US" } ], "description": "The preferred locale of the merchant, as set in their Mollie dashboard.", "readOnly": true }, "address": { "description": "The address of the organization.", "type": "object", "required": [ "streetAndNumber", "postalCode", "city", "country" ], "properties": { "streetAndNumber": { "type": "string", "description": "A street and street number.", "example": "Keizersgracht 126" }, "postalCode": { "type": "string", "description": "A postal code. This field may be required if the provided country has a postal code system.", "example": "1015 CW" }, "city": { "type": "string", "example": "Amsterdam" }, "country": { "type": "string", "description": "A country code in [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) format.", "example": "NL" } } }, "registrationNumber": { "type": "string", "description": "The registration number of the organization at their local chamber of commerce.", "example": "12345678" }, "vatNumber": { "type": [ "string", "null" ], "description": "The VAT number of the organization, if based in the European Union or in The United Kingdom. VAT numbers are verified against the international registry *VIES*.\n\nThe field is not present for merchants residing in other countries.", "example": "NL123456789B01" }, "vatRegulation": { "type": [ "string", "null" ], "description": "Mollie applies Dutch VAT for merchants based in The Netherlands, British VAT for merchants based in The United Kingdom, and shifted VAT for merchants in the European Union.\n\nThe field is not present for merchants residing in other countries.\n\nPossible values: `dutch` `british` `shifted`", "example": "dutch" }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "dashboard": { "description": "Direct link to the organization's Mollie dashboard.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } }, "examples": { "get-current-organization-200-1": { "summary": "The current organization object", "value": { "resource": "organization", "id": "org_7049691", "name": "Hugo's eenzame zaak", "email": "test@mollie.com", "locale": "en_US", "address": { "streetAndNumber": "Nassaukade, 47E, 47E", "postalCode": "1052CM", "city": "Amsterdam", "country": "DE" }, "registrationNumber": "30204462", "vatNumber": "", "vatRegulation": "dutch", "verifiedAt": "2020-10-19T11:45:36+00:00", "_links": { "self": { "href": "...", "type": "application/hal+json" }, "chargebacks": { "href": "https://api.mollie.com/v2/chargebacks", "type": "application/hal+json" }, "customers": { "href": "https://api.mollie.com/v2/customers", "type": "application/hal+json" }, "invoices": { "href": "https://api.mollie.com/v2/invoices", "type": "application/hal+json" }, "payments": { "href": "https://api.mollie.com/v2/payments", "type": "application/hal+json" }, "profiles": { "href": "https://api.mollie.com/v2/profiles", "type": "application/hal+json" }, "refunds": { "href": "https://api.mollie.com/v2/refunds", "type": "application/hal+json" }, "settlements": { "href": "https://api.mollie.com/v2/settlements", "type": "application/hal+json" }, "dashboard": { "href": "https://www.mollie.com/dashboard/org_7049691/", "type": "text/html" }, "documentation": { "href": "...", "type": "text/html" } } } } } } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/organizations/me \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken('access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ');\n\n$organization = $mollie->send(\n new GetOrganizationRequest(id: 'me')\n);", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\norganization = mollie_client.organizations.get(\"me\")", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\norganization = Mollie::Organization.current", "install": "gem install mollie-api-ruby" } ] }, "x-examples": [ { "name": "Get current organization", "code": 200, "response": "mol-public-api/v2/organizations-api/examples.yaml#/components/responses/oauth-get-current-organization" } ] } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```